## GUPnPDIDLLiteDescriptor GUPnPDIDLLiteDescriptor — DIDL-Lite Descriptor |

## Functions

xmlNode * | gupnp_didl_lite_descriptor_get_xml_node ()
const char * | gupnp_didl_lite_descriptor_get_content ()
const char * | gupnp_didl_lite_descriptor_get_id ()
const char * | gupnp_didl_lite_descriptor_get_metadata_type ()
const char * | gupnp_didl_lite_descriptor_get_name_space ()
void | gupnp_didl_lite_descriptor_set_content ()
void | gupnp_didl_lite_descriptor_set_id ()
void | gupnp_didl_lite_descriptor_set_metadata_type ()
void | gupnp_didl_lite_descriptor_set_name_space ()

## Types and Values

| GUPnPDIDLLiteDescriptor

## Description

GUPnPDIDLLiteDescriptor respresent a DIDL-Lite descriptor (desc) element.

## Functions

### gupnp_didl_lite_descriptor_get_xml_node ()

    xmlNode *
    gupnp_didl_lite_descriptor_get_xml_node
                                   (GUPnPDIDLLiteDescriptor *descriptor);

Get the pointer to desc node in XML document.

#### Parameters

descriptor | The GUPnPDIDLLiteDescriptor |

#### Returns

The pointer to desc node in XML document.

[transfer none]

### gupnp_didl_lite_descriptor_get_content ()

    const char *
    gupnp_didl_lite_descriptor_get_content
                                   (GUPnPDIDLLiteDescriptor *descriptor);

Get the content of the `descriptor` .

#### Parameters

descriptor | A GUPnPDIDLLiteDescriptor |

#### Returns

The content of the `descriptor` or `NULL`.

### gupnp_didl_lite_descriptor_get_id ()

    const char *
    gupnp_didl_lite_descriptor_get_id (GUPnPDIDLLiteDescriptor *descriptor);

Get the ID of the `descriptor` .

#### Parameters

descriptor | A GUPnPDIDLLiteDescriptor |

#### Returns

The ID string or `NULL`.

### gupnp_didl_lite_descriptor_get_metadata_type ()

    const char *
    gupnp_didl_lite_descriptor_get_metadata_type
                                   (GUPnPDIDLLiteDescriptor *descriptor);

Get the metadata type of the `descriptor` .

#### Parameters

descriptor | A GUPnPDIDLLiteDescriptor |

#### Returns

The type as string or `NULL`.

### gupnp_didl_lite_descriptor_get_name_space ()

    const char *
    gupnp_didl_lite_descriptor_get_name_space
                                   (GUPnPDIDLLiteDescriptor *descriptor);

Get the name space associated with the `descriptor` .

#### Parameters

descriptor | A GUPnPDIDLLiteDescriptor |

#### Returns

The name space or `NULL`.

### gupnp_didl_lite_descriptor_set_content ()

    void
    gupnp_didl_lite_descriptor_set_content
                                   (GUPnPDIDLLiteDescriptor *descriptor,
                                    const char *content);

Set the content of the `descriptor` .

#### Parameters

descriptor | A GUPnPDIDLLiteDescriptor |
content | The content as string |

### gupnp_didl_lite_descriptor_set_id ()

    void
    gupnp_didl_lite_descriptor_set_id (GUPnPDIDLLiteDescriptor *descriptor,
                                       const char *id);

Set the ID of the `descriptor` .

#### Parameters

descriptor | A GUPnPDIDLLiteDescriptor |
id | The ID as string |

### gupnp_didl_lite_descriptor_set_metadata_type ()

    void
    gupnp_didl_lite_descriptor_set_metadata_type
                                   (GUPnPDIDLLiteDescriptor *descriptor,
                                    const char *type);

Set the metadata type of the `descriptor` .

#### Parameters

descriptor | A GUPnPDIDLLiteDescriptor |
type | The metadata type as string |

### gupnp_didl_lite_descriptor_set_name_space ()

    void
    gupnp_didl_lite_descriptor_set_name_space
                                   (GUPnPDIDLLiteDescriptor *descriptor,
                                    const char *name_space);

Set the name space associated with the `descriptor` .

#### Parameters

descriptor | A GUPnPDIDLLiteDescriptor |
name_space | The name space URI as string |

## Types and Values

### GUPnPDIDLLiteDescriptor

    typedef struct {
            GObject parent;

            GUPnPDIDLLiteDescriptorPrivate *priv;
    } GUPnPDIDLLiteDescriptor;